from .colors import Color, Palette, ColorSpace
import euma_39zde.tokens as tokens
from enum import Enum

class Root(Enum,Palette):
	SHADOW_SMALL = tokens.Shadow(tokens.Dimension(float(0),tokens.DimensionalUnit.PX),tokens.Dimension(float(2),tokens.DimensionalUnit.PX),tokens.Dimension(float(10),tokens.DimensionalUnit.PX),tokens.Dimension(float(-8),tokens.DimensionalUnit.PX),Color(ColorSpace.SRGB,[float(0.047058823529411764),float(0.050980392156862744),float(0.06274509803921569)],float(1),"#0c0d10"),None)
	SHADOW_MEDIUM = tokens.Shadow(tokens.Dimension(float(0),tokens.DimensionalUnit.PX),tokens.Dimension(float(4),tokens.DimensionalUnit.PX),tokens.Dimension(float(10),tokens.DimensionalUnit.PX),tokens.Dimension(float(-6),tokens.DimensionalUnit.PX),Color(ColorSpace.SRGB,[float(0.047058823529411764),float(0.050980392156862744),float(0.06274509803921569)],float(1),"#0c0d10"),None)
	FONT_FAMILY_DISPLAY = tokens.FontFamily(["Source Serif 4 Display", "Abril Fatface", "Playfair Display", "Times New Roman", "ui-serif", "serif"])
	FONT_FAMILY_SERIF = tokens.FontFamily(["Source Serif Variable", "Source Serif 4", "IBM Plex Serif", "Charis SIL", "Georgia", "Times New Roman", "ui-serif", "serif"])
	FONT_FAMILY_SANS = tokens.FontFamily(["Source Sans Variable", "Source Sans 3", "IBM Plex Sans", "Fira Sans", "Rambla", "PT Sans", "ui-sans-serif", "sans-serif"])
	FONT_FAMILY_MONO = tokens.FontFamily(["Source Code VF", "Source Code Pro", "Fira Code", "Red Hat Mono", "ui-monospace", "monospace"])
	FONT_FEATURE_SETTINGS_DISPLAY = tokens.FontFeatureSettings(font_features=None,stylistic_sets=[tokens.StylisticSet(identifier=tokens.StylisticSetId.SS02,value=True)],character_variants=None)
	FONT_FEATURE_SETTINGS_SERIF = tokens.FontFeatureSettings(font_features=None,stylistic_sets=[tokens.StylisticSet(identifier=tokens.StylisticSetId.SS02,value=True)],character_variants=None)
	FONT_FEATURE_SETTINGS_SANS = tokens.FontFeatureSettings(font_features=None,stylistic_sets=[tokens.StylisticSet(identifier=tokens.StylisticSetId.SS10,value=True)],character_variants=None)
	FONT_FEATURE_SETTINGS_MONO = tokens.FontFeatureSettings(font_features=None,stylistic_sets=[tokens.StylisticSet(identifier=tokens.StylisticSetId.SS06,value=True)],character_variants=None)
	FONT_WEIGHT_DISPLAY = tokens.FontWeight.W600
	FONT_WEIGHT_SERIF = tokens.FontWeight.W600
	FONT_WEIGHT_SANS = tokens.FontWeight.W400
	FONT_WEIGHT_MONO = tokens.FontWeight.W400
	FONT_VARIATION_SETTINGS_DISPLAY = tokens.FontVariationSettings(None,None,None,None,None)
	FONT_VARIATION_SETTINGS_SERIF = tokens.FontVariationSettings(None,None,None,None,float(45))
	FONT_VARIATION_SETTINGS_SANS = tokens.FontVariationSettings(None,None,None,None,None)
	FONT_VARIATION_SETTINGS_MONO = tokens.FontVariationSettings(None,None,None,None,None)


THEME = tokens.Tokens()
THEME.color.background.header.highlight.default = Root.ORANGE_MEDIUM
THEME.color.background.paragraph.highlight.default = Root.ORANGE_MEDIUM
THEME.color.background.code.normal.default = Root.DARK_3
THEME.color.background.side.normal.default = Root.DARK_5
THEME.color.background.panel.normal.default = Root.DARK_6
THEME.color.background.button.normal.default = Root.PURPLE_MEDIUM
THEME.color.background.button.normal.v1 = Root.PURPLE_MEDIUM
THEME.color.background.button.normal.v2 = Root.PURPLE_MEDIUM
THEME.color.background.button.hover.default = Root.PURPLE_LIGHT
THEME.color.background.button.hover.v1 = Root.PURPLE_LIGHT
THEME.color.background.button.hover.v2 = Root.DARK_4
THEME.color.background.tab.active.default = Root.DARK_2
THEME.color.background.tab.normal.default = Root.DARK_4
THEME.color.background.tab.hover.default = Root.DARK_5
THEME.color.background.link.highlight.default = Root.PURPLE_MEDIUM
THEME.color.border.tab.active.default = Root.ORANGE_MEDIUM
THEME.color.border.tab.inactive.default = Root.DARK_4
THEME.color.border.window.active.default = Root.ORANGE_MEDIUM
THEME.color.border.window.normal.default = Root.DARK_4
THEME.color.border.button.normal.default = Root.PURPLE_MEDIUM
THEME.color.border.button.normal.v1 = Root.PURPLE_MEDIUM
THEME.color.border.button.normal.v2 = Root.PURPLE_MEDIUM
THEME.color.text.caption.normal.default = Root.LIGHT_6
THEME.color.text.paragraph.normal.default = Root.LIGHT_4
THEME.color.text.paragraph.highlight.default = Root.LIGHT_1
THEME.color.text.link.normal.default = Root.PURPLE_MEDIUM
THEME.color.text.link.hover.default = Root.PURPLE_LIGHT
THEME.color.text.link.active.default = Root.PURPLE_EXTRA_LIGHT
THEME.color.text.link.visit.default = Root.PURPLE_DARK
THEME.color.text.link.highlight.default = Root.LIGHT_2
THEME.color.text.button.normal.default = Root.LIGHT_1
THEME.color.text.button.normal.v1 = Root.LIGHT_1
THEME.color.text.button.normal.v2 = Root.PURPLE_MEDIUM
THEME.color.text.button.hover.default = Root.LIGHT_1
THEME.color.text.button.hover.v1 = Root.LIGHT_1
THEME.color.text.button.hover.v2 = Root.PURPLE_LIGHT
THEME.color.text.tab.hover.default = Root.ORANGE_MEDIUM
THEME.color.text.tab.active.default = Root.ORANGE_MEDIUM
THEME.color.text.tab.normal.default = Root.LIGHT_4
THEME.color.text.header.normal.default = Root.LIGHT_4
THEME.color.text.header.highlight.default = Root.LIGHT_1
THEME.color.text.label.success.default = Root.GREEN_MEDIUM
THEME.color.text.label.error.default = Root.RED_MEDIUM
THEME.color.textDecorationColor.link.highlight.default = Root.LIGHT_1
THEME.color.textDecorationColor.link.visit.default = Root.PURPLE_EXTRA_DARK
THEME.space.borderWidth.button.normal.default = tokens.Dimension(float(2),tokens.DimensionalUnit.PX)
THEME.space.maxWidth.paragraph.normal.default = tokens.Dimension(float(760),tokens.DimensionalUnit.PX)
THEME.space.maxWidth.list.normal.default = tokens.Dimension(float(760),tokens.DimensionalUnit.PX)
THEME.space.borderRadius.code.normal.default = tokens.Dimension(float(4),tokens.DimensionalUnit.PX)
THEME.space.borderRadius.panel.normal.default = tokens.Dimension(float(1),tokens.DimensionalUnit.REM)
THEME.space.padding.code.normal.default = tokens.Dimension(float(3),tokens.DimensionalUnit.PX)
THEME.space.padding.panel.normal.default = tokens.Dimension(float(1),tokens.DimensionalUnit.REM)
THEME.space.padding.header.normal.default = tokens.Dimension(float(0),tokens.DimensionalUnit.PX)
THEME.space.marginLeft.entry.normal.default = tokens.Dimension(float(0.5),tokens.DimensionalUnit.REM)
THEME.space.marginBlock.paragraph.normal.default = tokens.Dimension(float(0.6),tokens.DimensionalUnit.REM)
THEME.space.marginBlock.entry.normal.default = tokens.Dimension(float(0.6),tokens.DimensionalUnit.REM)
THEME.typo.fontFamily.paragraph.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.link.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.badge.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.button.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.caption.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.entry.normal.default = Root.FONT_FAMILY_SANS
THEME.typo.fontFamily.header.normal.default = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.header.normal.v1 = Root.FONT_FAMILY_DISPLAY
THEME.typo.fontFamily.header.normal.v2 = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.header.normal.v3 = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.header.normal.v4 = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.header.normal.v5 = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.header.normal.v6 = Root.FONT_FAMILY_SERIF
THEME.typo.fontFamily.code.normal.default = Root.FONT_FAMILY_MONO
THEME.typo.fontWeight.header.normal.default = Root.FONT_WEIGHT_DISPLAY
THEME.typo.fontWeight.header.normal.v1 = tokens.FontWeight.W700
THEME.typo.fontWeight.header.normal.v2 = tokens.FontWeight.W650
THEME.typo.fontWeight.header.normal.v3 = tokens.FontWeight.W640
THEME.typo.fontWeight.header.normal.v4 = tokens.FontWeight.W630
THEME.typo.fontWeight.header.normal.v5 = tokens.FontWeight.W620
THEME.typo.fontWeight.header.normal.v6 = tokens.FontWeight.W610
THEME.typo.fontWeight.paragraph.normal.default = Root.FONT_WEIGHT_SANS
THEME.typo.fontWeight.code.normal.default = Root.FONT_WEIGHT_SANS
THEME.typo.fontSize.small.normal.default = tokens.Dimension(float(15.11),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.small.normal.v1 = tokens.Dimension(float(15.79),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.paragraph.normal.default = tokens.Dimension(float(17),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.paragraph.normal.v1 = tokens.Dimension(float(21),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.default = tokens.Dimension(float(34.46),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v1 = tokens.Dimension(float(34.46),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v2 = tokens.Dimension(float(30.36),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v3 = tokens.Dimension(float(27.23),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v4 = tokens.Dimension(float(24.23),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v5 = tokens.Dimension(float(21.52),tokens.DimensionalUnit.PX)
THEME.typo.fontSize.header.normal.v6 = tokens.Dimension(float(19.13),tokens.DimensionalUnit.PX)
THEME.typo.fontVariationSettings.header.normal.default = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontVariationSettings.header.normal.v2 = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontVariationSettings.header.normal.v3 = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontVariationSettings.header.normal.v4 = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontVariationSettings.header.normal.v5 = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontVariationSettings.header.normal.v6 = Root.FONT_VARIATION_SETTINGS_SERIF
THEME.typo.fontFeatureSettings.paragraph.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.link.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.badge.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.button.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.caption.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.entry.normal.default = Root.FONT_FEATURE_SETTINGS_SANS
THEME.typo.fontFeatureSettings.header.normal.default = Root.FONT_FEATURE_SETTINGS_DISPLAY
THEME.typo.fontFeatureSettings.code.normal.default = Root.FONT_FEATURE_SETTINGS_MONO
THEME.typo.wordSpacing.paragraph.normal.default = tokens.Dimension(float(0.08),tokens.DimensionalUnit.REM)
THEME.typo.letterSpacing.paragraph.normal.default = tokens.Dimension(float(0.02),tokens.DimensionalUnit.REM)
THEME.typo.fontVariantLigatures.paragraph.normal.default = tokens.FontVariantLigatures.NO_COMMON_LIGATURES
THEME.typo.textDecorationLine.header.hover.default = tokens.TextDecorationLine.NONE
THEME.typo.textDecorationLine.link.normal.default = tokens.TextDecorationLine.NONE
THEME.typo.textDecorationLine.link.hover.default = tokens.TextDecorationLine.UNDERLINE
THEME.fx.animationTimingFunction.icon.normal.default = tokens.CubicBezier(float(0.252835273752),float(0.89385320758),float(0.252835273752), float(0.89385320758))
THEME.fx.boxShadow.panel.normal.default = tokens.Shadow(tokens.Dimension(float(0),tokens.DimensionalUnit.PX),tokens.Dimension(float(2),tokens.DimensionalUnit.PX),tokens.Dimension(float(10),tokens.DimensionalUnit.PX),tokens.Dimension(float(-8),tokens.DimensionalUnit.PX),Root.DARK_1,None)
